{% extends 'imgs/base.html' %} {% block content %} {% if image %}
<h1>{{ image.title }} {{ image.upvotes }}/{{ image.downvotes }}</h1>
<div>
    <img src="{{ image.url }}" alt="" />
</div>
<div>
    {% for comment in comments %}
    <p><strong>{{ comment.nick }}</strong></p>
    <p>{{ comment.text }}</p>
    {% endfor %}
</div>
<div>
    <h3>Post Comment</h3>
    <form action="{% url 'post_comment' image.id %}" method="post">
        {% csrf_token %}
        <p>
            <label for="comment_nick">Nick: </label> <br />
            <input type="text" name="nick" id="comment_nick" />
        </p>
        <p>
            <label for="comment_text">Text: </label> <br />
            <input type="text" name="text" id="comment_text" />
        </p>
        <button type="submit" onclick="">Post comment</button>
    </form>
</div>
{% else %}
<p>No images in database!</p>
{% endif %} {% endblock %}